/*
 * STATUS.H
 *
 * Embedded Web Server
 * Copyright 1998, JK microsystems, Inc.
 * http://www.jkmicro.com
 *
 * THIS PROGRAM IS PROPERTY OF JK microsystems, Inc.
 * AND IS NOT FOR DISTRIBUTION.  THIS SOURCE CODE
 * IS NOT TO BE DISCLOSED WITHOUT PRIOR APPROVAL
 * FROM JK microsystems.
 *
 * THIS PROGRAM IS DISTRIBUTED WITHOUT ANY WARRANTY;
 * WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY
 * OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 * THE TCP/IP LIBRARIES ARE COPYRIGHT
 * UNIVERSITY OF WATERLOO.
 * THE LIBRARIES ARE PROVIDED FREE OF
 * CHARGE IN THEIR ORIGINAL DISTRIBUTION FORMAT.
 *
 */
#ifndef __status_h
#define __status_h

#define DEF 0
#define TXT 1
#define GIF 2
#define JPG 3
#define CGI 4
#define HTML 5
#define PDF 6
#define ZIP 7

#define HTTP09 -1
#define NONE 0
#define OK 200
#define ACCEPTED 202
#define NO_CONTENT 204
#define MOVED_PERM 301
#define FORBIDDEN 403
#define NOT_FOUND 404
#define SERVER_ERR 500
#define NOT_IMP 501

#endif  // end if def __status_h

